Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ANetwork

All Superinterfaces:
  AAct, ACommand, ATransform, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AConnect, ADisconnect, AReplace

All Known Implementing Classes:
  AConnectImpl, ADisconnectImpl, ANetworkImpl, AReplaceImpl

    public interface ANetwork

extends ATransform

A representation of the model object ' ANetwork'.

The following features are supported:

- `Within`

See Also:
  `MetaABMActPackage.getANetwork()`

Method Summary
`SNetwork` | `getWithin()` Returns the value of the 'Within' reference.
`void` | `setWithin(SNetwork value)` Sets the value of the '`Within`' reference.

Methods inherited from interface org.metaabm.act.ATransform
`getDestination, setDestination`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getWithin

    SNetwork getWithin()

  Returns the value of the 'Within' reference.

  If the meaning of the 'Within' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Within' reference.
  See Also:
    `setWithin(SNetwork)`, `MetaABMActPackage.getANetwork_Within()`

### setWithin

    void setWithin(SNetwork value)

  Sets the value of the '`Within`' reference.

  Parameters:
    `value` - the new value of the 'Within' reference.
  See Also:
    `getWithin()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD